# Generated from annotate-2.7.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name annotate

Name: rubygem-%{gem_name}
Version: 2.7.3
Release: 1%{?dist}.3
Summary: Annotates Rails Models, routes, fixtures, and others based on the database schema
License: Ruby
URL: http://github.com/ctran/annotate_models
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.2.0
BuildArch: noarch

%description
Annotates Rails/ActiveRecord Models, routes, fixtures, and others based on the
database schema.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -pa .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/annotate
%license %{gem_instdir}/LICENSE.txt
%exclude %{gem_instdir}/annotate.gemspec
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/AUTHORS.rdoc
%doc %{gem_instdir}/CHANGELOG.rdoc
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/TODO.rdoc

%changelog
* Sun May 20 2018 Oleg Girko <ol@infoserver.lv> - 2.7.3-1
- Initial package
